Package org.codehaus.groovy.control

# Class CompilationUnit.GroovyClassOperation

java.lang.Object
org.codehaus.groovy.control.CompilationUnit.GroovyClassOperation

Enclosing class:
  `CompilationUnit`

public abstract static class CompilationUnit.GroovyClassOperation extends Object

## Constructor Summary

Constructors
Constructor
Description
`GroovyClassOperation()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`call(GroovyClass gclass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroovyClassOperation

public GroovyClassOperation()

## Method Details

### call

public abstract void call(GroovyClass gclass) throws CompilationFailedException

Throws:
  `CompilationFailedException`